<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionInput Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d37/class_action_input.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionInput Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionInput:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d37/class_action_input.png" usemap="#ActionInput_map" alt=""/>
  <map id="ActionInput_map" name="ActionInput_map">
<area href="../../d1/d36/class_action_input___basic.html" alt="ActionInput_Basic" shape="rect" coords="532,0,788,24"/>
<area href="../../d7/d66/class_no_indication_action_input_base.html" alt="NoIndicationActionInputBase" shape="rect" coords="532,112,788,136"/>
<area href="../../de/d8a/class_continuous_weapon_manipulation_action_input.html" alt="ContinuousWeaponManipulationActionInput" shape="rect" coords="0,168,256,192"/>
<area href="../../d4/d7f/class_drop_action_input.html" alt="DropActionInput" shape="rect" coords="266,168,522,192"/>
<area href="../../d1/db3/class_external_controlled_action_input.html" alt="ExternalControlledActionInput" shape="rect" coords="532,168,788,192"/>
<area href="../../db/d70/class_inventory_only_action_input.html" alt="InventoryOnlyActionInput" shape="rect" coords="798,168,1054,192"/>
<area href="../../d4/dca/class_weapon_manipulation_action_input.html" alt="WeaponManipulationActionInput" shape="rect" coords="1064,168,1320,192"/>
<area href="../../d8/d82/class_quicka_bar_action_input.html" alt="QuickaBarActionInput" shape="rect" coords="532,224,788,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0965d5395144c4bc28edcbbef500f287"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a0965d5395144c4bc28edcbbef500f287">ActionInput</a> ()</td></tr>
<tr class="separator:a0965d5395144c4bc28edcbbef500f287"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1ac3bb1821955bb0438aadfc2426ba6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aa1ac3bb1821955bb0438aadfc2426ba6">Init</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a> am)</td></tr>
<tr class="separator:aa1ac3bb1821955bb0438aadfc2426ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e7855637a25ba787c8a42d02cffd37d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a4e7855637a25ba787c8a42d02cffd37d">SetEnablity</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="separator:a4e7855637a25ba787c8a42d02cffd37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a636b3c3f1a6c14f7e6164169594861"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a3a636b3c3f1a6c14f7e6164169594861">SetInput</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> input_name)</td></tr>
<tr class="separator:a3a636b3c3f1a6c14f7e6164169594861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f7348ddc663b8f259125bffe1fb074"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#ab8f7348ddc663b8f259125bffe1fb074">GetInputType</a> ()</td></tr>
<tr class="separator:ab8f7348ddc663b8f259125bffe1fb074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0880b3dad5943cf45d96decefce29715"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d84/class_u_a_input.html">UAInput</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a0880b3dad5943cf45d96decefce29715">GetUAInput</a> ()</td></tr>
<tr class="separator:a0880b3dad5943cf45d96decefce29715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4aae9704e6ee0e038b4fb9e293ff68"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#adc4aae9704e6ee0e038b4fb9e293ff68">JustActivate</a> ()</td></tr>
<tr class="separator:adc4aae9704e6ee0e038b4fb9e293ff68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19e65961d8a58b28864a94d7bc9bc647"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a19e65961d8a58b28864a94d7bc9bc647">IsActive</a> ()</td></tr>
<tr class="separator:a19e65961d8a58b28864a94d7bc9bc647"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6cdcb195f58fa7be7e9a47ad2ae8be9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aa6cdcb195f58fa7be7e9a47ad2ae8be9">WasEnded</a> ()</td></tr>
<tr class="separator:aa6cdcb195f58fa7be7e9a47ad2ae8be9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e769c0a3aa1ef97624b35257d29c231"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a3e769c0a3aa1ef97624b35257d29c231">Update</a> ()</td></tr>
<tr class="separator:a3e769c0a3aa1ef97624b35257d29c231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add90a995427e26b032084421f5c3e103"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#add90a995427e26b032084421f5c3e103">Reset</a> ()</td></tr>
<tr class="separator:add90a995427e26b032084421f5c3e103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ae3b7d629cf7eb78b70855e0eedb4fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a3ae3b7d629cf7eb78b70855e0eedb4fc">UpdatePossibleActions</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action_condition_mask)</td></tr>
<tr class="separator:a3ae3b7d629cf7eb78b70855e0eedb4fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a902b17e9d8aec27e0eedc9d191a9af18"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a902b17e9d8aec27e0eedc9d191a9af18">GetAction</a> ()</td></tr>
<tr class="separator:a902b17e9d8aec27e0eedc9d191a9af18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbf34336bab45945ce60873aa8eeae41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#adbf34336bab45945ce60873aa8eeae41">GetUsedActionTarget</a> ()</td></tr>
<tr class="separator:adbf34336bab45945ce60873aa8eeae41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4b5dc2842614b3249ec0a624ba31500"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#ac4b5dc2842614b3249ec0a624ba31500">GetUsedMainItem</a> ()</td></tr>
<tr class="separator:ac4b5dc2842614b3249ec0a624ba31500"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5336dc0b5518881a060a05e6b8e4b9f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a5336dc0b5518881a060a05e6b8e4b9f8">GetPossibleActions</a> ()</td></tr>
<tr class="separator:a5336dc0b5518881a060a05e6b8e4b9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a80323430607ac4ec0bedf01a40759"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a68a80323430607ac4ec0bedf01a40759">GetPossibleAction</a> ()</td></tr>
<tr class="separator:a68a80323430607ac4ec0bedf01a40759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9b2c14f706a45df8a8fd7570d05db9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a8e9b2c14f706a45df8a8fd7570d05db9">GetPossibleActionIndex</a> ()</td></tr>
<tr class="separator:a8e9b2c14f706a45df8a8fd7570d05db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e792ff6b45aa4ec20e0210c32001161"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a5e792ff6b45aa4ec20e0210c32001161">HasTarget</a> ()</td></tr>
<tr class="separator:a5e792ff6b45aa4ec20e0210c32001161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60380e37dae472a4c4673b8c2d124218"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a60380e37dae472a4c4673b8c2d124218">OnActionStart</a> ()</td></tr>
<tr class="separator:a60380e37dae472a4c4673b8c2d124218"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469012c08c31d7b69c9c68a46b6986d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a469012c08c31d7b69c9c68a46b6986d4">OnActionEnd</a> ()</td></tr>
<tr class="separator:a469012c08c31d7b69c9c68a46b6986d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a261dbee6fe48497d0e04fa3062223668"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a261dbee6fe48497d0e04fa3062223668">ActionsSelectReset</a> ()</td></tr>
<tr class="separator:a261dbee6fe48497d0e04fa3062223668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba200240cae1e95344e21a85dd9ddbb7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aba200240cae1e95344e21a85dd9ddbb7">ForceAction</a> (<a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> action, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aba200240cae1e95344e21a85dd9ddbb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c71a35357e0e80726983cc8d87b14e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a65c71a35357e0e80726983cc8d87b14e">ForceActionTarget</a> (<a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target)</td></tr>
<tr class="separator:a65c71a35357e0e80726983cc8d87b14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa3b83ef2b9781c25cfbee369411ba8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a8aa3b83ef2b9781c25cfbee369411ba8">ClearForcedAction</a> ()</td></tr>
<tr class="separator:a8aa3b83ef2b9781c25cfbee369411ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0253b77838bb8dea85b7151c986ade62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a0253b77838bb8dea85b7151c986ade62">ClearForcedTarget</a> ()</td></tr>
<tr class="separator:a0253b77838bb8dea85b7151c986ade62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb007ef2aa03b9aa415c7cb223832d4a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#adb007ef2aa03b9aa415c7cb223832d4a">ForceActionCheck</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:adb007ef2aa03b9aa415c7cb223832d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce685f20c4441089d70e8268d4bc410"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a8ce685f20c4441089d70e8268d4bc410">SelectNextAction</a> ()</td></tr>
<tr class="separator:a8ce685f20c4441089d70e8268d4bc410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b92c2bacb54f3970027c53518fe671"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a64b92c2bacb54f3970027c53518fe671">SelectPrevAction</a> ()</td></tr>
<tr class="separator:a64b92c2bacb54f3970027c53518fe671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d25bf72bd4d0167876fee829eb3b5f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a1d25bf72bd4d0167876fee829eb3b5f1">GetPossibleActionsCount</a> ()</td></tr>
<tr class="separator:a1d25bf72bd4d0167876fee829eb3b5f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ec4529196e774119e09b16b36afb5b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a82ec4529196e774119e09b16b36afb5b">HasInput</a> ()</td></tr>
<tr class="separator:a82ec4529196e774119e09b16b36afb5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98e91473a636acc46b24783a959fad61"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a98e91473a636acc46b24783a959fad61">GetPriority</a> ()</td></tr>
<tr class="separator:a98e91473a636acc46b24783a959fad61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a85eaef29a84ebbd37aa8a1327fbb95a2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/db6/class_u_a_i_d_wrapper.html">UAIDWrapper</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a85eaef29a84ebbd37aa8a1327fbb95a2">m_input</a></td></tr>
<tr class="separator:a85eaef29a84ebbd37aa8a1327fbb95a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1def6042e6aa0179fc73a828879e7d25"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a1def6042e6aa0179fc73a828879e7d25">m_InputType</a></td></tr>
<tr class="separator:a1def6042e6aa0179fc73a828879e7d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a965da42bb51da7272449ee75d3b2b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a9a965da42bb51da7272449ee75d3b2b1">m_Priority</a></td></tr>
<tr class="separator:a9a965da42bb51da7272449ee75d3b2b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ba366d1a6ee9566a79c058f435b4c9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a13ba366d1a6ee9566a79c058f435b4c9">m_DetectFromItem</a></td></tr>
<tr class="separator:a13ba366d1a6ee9566a79c058f435b4c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa19dfee22e7b4072581cbad85f265ba7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aa19dfee22e7b4072581cbad85f265ba7">m_DetectFromTarget</a></td></tr>
<tr class="separator:aa19dfee22e7b4072581cbad85f265ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b0ebf699d5e69a0c1a7ab50957cf47f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a1b0ebf699d5e69a0c1a7ab50957cf47f">m_DetectFromPlayer</a></td></tr>
<tr class="separator:a1b0ebf699d5e69a0c1a7ab50957cf47f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0538ffd097d93bb0d8e551aef7d7046"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aa0538ffd097d93bb0d8e551aef7d7046">m_Enabled</a></td></tr>
<tr class="separator:aa0538ffd097d93bb0d8e551aef7d7046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e8a6b9bebed1a82797318e0a3cbdf43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a4e8a6b9bebed1a82797318e0a3cbdf43">m_JustActivate</a></td></tr>
<tr class="separator:a4e8a6b9bebed1a82797318e0a3cbdf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe98bb1f623100dbea05475c6abeb4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#acbe98bb1f623100dbea05475c6abeb4d">m_HasTarget</a></td></tr>
<tr class="separator:acbe98bb1f623100dbea05475c6abeb4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae228e1961fc33a3827ceb9252d5f8bd1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#ae228e1961fc33a3827ceb9252d5f8bd1">m_Player</a></td></tr>
<tr class="separator:ae228e1961fc33a3827ceb9252d5f8bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47e10aec8bfcf73885d4c25d9066cd33"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a47e10aec8bfcf73885d4c25d9066cd33">m_ForcedTarget</a></td></tr>
<tr class="separator:a47e10aec8bfcf73885d4c25d9066cd33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee7054fa6521ef8a72a48fbcb07c275"><td class="memItemLeft" align="right" valign="top">ref ForcedActionData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a9ee7054fa6521ef8a72a48fbcb07c275">m_ForcedActionData</a></td></tr>
<tr class="separator:a9ee7054fa6521ef8a72a48fbcb07c275"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a8275171fe1296becdc46c81da9dc7"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#ad4a8275171fe1296becdc46c81da9dc7">m_Target</a></td></tr>
<tr class="separator:ad4a8275171fe1296becdc46c81da9dc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa128f18e3ec6441fc6bc30014451c6dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#aa128f18e3ec6441fc6bc30014451c6dc">m_MainItem</a></td></tr>
<tr class="separator:aa128f18e3ec6441fc6bc30014451c6dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a733a6395347eebefdcd92db5eff1a9c6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a733a6395347eebefdcd92db5eff1a9c6">m_ConditionMask</a></td></tr>
<tr class="separator:a733a6395347eebefdcd92db5eff1a9c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a740aebe77fe2d30fbc2b87e4d95e4457"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/class_action_input.html#a740aebe77fe2d30fbc2b87e4d95e4457">m_Active</a></td></tr>
<tr class="separator:a740aebe77fe2d30fbc2b87e4d95e4457"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0965d5395144c4bc28edcbbef500f287" name="a0965d5395144c4bc28edcbbef500f287"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0965d5395144c4bc28edcbbef500f287">&#9670;&#160;</a></span>ActionInput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ActionInput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00043">43</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a261dbee6fe48497d0e04fa3062223668" name="a261dbee6fe48497d0e04fa3062223668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a261dbee6fe48497d0e04fa3062223668">&#9670;&#160;</a></span>ActionsSelectReset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ActionsSelectReset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00227">227</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a8aa3b83ef2b9781c25cfbee369411ba8" name="a8aa3b83ef2b9781c25cfbee369411ba8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aa3b83ef2b9781c25cfbee369411ba8">&#9670;&#160;</a></span>ClearForcedAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ClearForcedAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00243">243</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a0253b77838bb8dea85b7151c986ade62" name="a0253b77838bb8dea85b7151c986ade62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0253b77838bb8dea85b7151c986ade62">&#9670;&#160;</a></span>ClearForcedTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ClearForcedTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00248">248</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aba200240cae1e95344e21a85dd9ddbb7" name="aba200240cae1e95344e21a85dd9ddbb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba200240cae1e95344e21a85dd9ddbb7">&#9670;&#160;</a></span>ForceAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ForceAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00230">230</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="adb007ef2aa03b9aa415c7cb223832d4a" name="adb007ef2aa03b9aa415c7cb223832d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb007ef2aa03b9aa415c7cb223832d4a">&#9670;&#160;</a></span>ForceActionCheck()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::ForceActionCheck </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00253">253</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a65c71a35357e0e80726983cc8d87b14e" name="a65c71a35357e0e80726983cc8d87b14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65c71a35357e0e80726983cc8d87b14e">&#9670;&#160;</a></span>ForceActionTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::ForceActionTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00238">238</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a902b17e9d8aec27e0eedc9d191a9af18" name="a902b17e9d8aec27e0eedc9d191a9af18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a902b17e9d8aec27e0eedc9d191a9af18">&#9670;&#160;</a></span>GetAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> ActionInput::GetAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00182">182</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="ab8f7348ddc663b8f259125bffe1fb074" name="ab8f7348ddc663b8f259125bffe1fb074"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8f7348ddc663b8f259125bffe1fb074">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00089">89</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a68a80323430607ac4ec0bedf01a40759" name="a68a80323430607ac4ec0bedf01a40759"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68a80323430607ac4ec0bedf01a40759">&#9670;&#160;</a></span>GetPossibleAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> ActionInput::GetPossibleAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00202">202</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a8e9b2c14f706a45df8a8fd7570d05db9" name="a8e9b2c14f706a45df8a8fd7570d05db9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e9b2c14f706a45df8a8fd7570d05db9">&#9670;&#160;</a></span>GetPossibleActionIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::GetPossibleActionIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00207">207</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a5336dc0b5518881a060a05e6b8e4b9f8" name="a5336dc0b5518881a060a05e6b8e4b9f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5336dc0b5518881a060a05e6b8e4b9f8">&#9670;&#160;</a></span>GetPossibleActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> &gt; ActionInput::GetPossibleActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00197">197</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a1d25bf72bd4d0167876fee829eb3b5f1" name="a1d25bf72bd4d0167876fee829eb3b5f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d25bf72bd4d0167876fee829eb3b5f1">&#9670;&#160;</a></span>GetPossibleActionsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::GetPossibleActionsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00274">274</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a98e91473a636acc46b24783a959fad61" name="a98e91473a636acc46b24783a959fad61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98e91473a636acc46b24783a959fad61">&#9670;&#160;</a></span>GetPriority()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::GetPriority </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00284">284</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a0880b3dad5943cf45d96decefce29715" name="a0880b3dad5943cf45d96decefce29715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0880b3dad5943cf45d96decefce29715">&#9670;&#160;</a></span>GetUAInput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d84/class_u_a_input.html">UAInput</a> ActionInput::GetUAInput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00094">94</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="adbf34336bab45945ce60873aa8eeae41" name="adbf34336bab45945ce60873aa8eeae41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbf34336bab45945ce60873aa8eeae41">&#9670;&#160;</a></span>GetUsedActionTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> ActionInput::GetUsedActionTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00187">187</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="ac4b5dc2842614b3249ec0a624ba31500" name="ac4b5dc2842614b3249ec0a624ba31500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4b5dc2842614b3249ec0a624ba31500">&#9670;&#160;</a></span>GetUsedMainItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ActionInput::GetUsedMainItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00192">192</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a82ec4529196e774119e09b16b36afb5b" name="a82ec4529196e774119e09b16b36afb5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82ec4529196e774119e09b16b36afb5b">&#9670;&#160;</a></span>HasInput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::HasInput </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00279">279</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a5e792ff6b45aa4ec20e0210c32001161" name="a5e792ff6b45aa4ec20e0210c32001161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e792ff6b45aa4ec20e0210c32001161">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00212">212</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aa1ac3bb1821955bb0438aadfc2426ba6" name="aa1ac3bb1821955bb0438aadfc2426ba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1ac3bb1821955bb0438aadfc2426ba6">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a>&#160;</td>
          <td class="paramname"><em>am</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00060">60</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a19e65961d8a58b28864a94d7bc9bc647" name="a19e65961d8a58b28864a94d7bc9bc647"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19e65961d8a58b28864a94d7bc9bc647">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00104">104</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="adc4aae9704e6ee0e038b4fb9e293ff68" name="adc4aae9704e6ee0e038b4fb9e293ff68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc4aae9704e6ee0e038b4fb9e293ff68">&#9670;&#160;</a></span>JustActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::JustActivate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00099">99</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a469012c08c31d7b69c9c68a46b6986d4" name="a469012c08c31d7b69c9c68a46b6986d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469012c08c31d7b69c9c68a46b6986d4">&#9670;&#160;</a></span>OnActionEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::OnActionEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00222">222</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a60380e37dae472a4c4673b8c2d124218" name="a60380e37dae472a4c4673b8c2d124218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60380e37dae472a4c4673b8c2d124218">&#9670;&#160;</a></span>OnActionStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::OnActionStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00217">217</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="add90a995427e26b032084421f5c3e103" name="add90a995427e26b032084421f5c3e103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add90a995427e26b032084421f5c3e103">&#9670;&#160;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00172">172</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a8ce685f20c4441089d70e8268d4bc410" name="a8ce685f20c4441089d70e8268d4bc410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ce685f20c4441089d70e8268d4bc410">&#9670;&#160;</a></span>SelectNextAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::SelectNextAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00267">267</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a64b92c2bacb54f3970027c53518fe671" name="a64b92c2bacb54f3970027c53518fe671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64b92c2bacb54f3970027c53518fe671">&#9670;&#160;</a></span>SelectPrevAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::SelectPrevAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00271">271</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a4e7855637a25ba787c8a42d02cffd37d" name="a4e7855637a25ba787c8a42d02cffd37d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e7855637a25ba787c8a42d02cffd37d">&#9670;&#160;</a></span>SetEnablity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::SetEnablity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00071">71</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a3a636b3c3f1a6c14f7e6164169594861" name="a3a636b3c3f1a6c14f7e6164169594861"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a636b3c3f1a6c14f7e6164169594861">&#9670;&#160;</a></span>SetInput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ActionInput::SetInput </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>input_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00076">76</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a3e769c0a3aa1ef97624b35257d29c231" name="a3e769c0a3aa1ef97624b35257d29c231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e769c0a3aa1ef97624b35257d29c231">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00114">114</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a3ae3b7d629cf7eb78b70855e0eedb4fc" name="a3ae3b7d629cf7eb78b70855e0eedb4fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ae3b7d629cf7eb78b70855e0eedb4fc">&#9670;&#160;</a></span>UpdatePossibleActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionInput::UpdatePossibleActions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action_condition_mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00178">178</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aa6cdcb195f58fa7be7e9a47ad2ae8be9" name="aa6cdcb195f58fa7be7e9a47ad2ae8be9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6cdcb195f58fa7be7e9a47ad2ae8be9">&#9670;&#160;</a></span>WasEnded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::WasEnded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00109">109</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a740aebe77fe2d30fbc2b87e4d95e4457" name="a740aebe77fe2d30fbc2b87e4d95e4457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a740aebe77fe2d30fbc2b87e4d95e4457">&#9670;&#160;</a></span>m_Active</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_Active</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00041">41</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a733a6395347eebefdcd92db5eff1a9c6" name="a733a6395347eebefdcd92db5eff1a9c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a733a6395347eebefdcd92db5eff1a9c6">&#9670;&#160;</a></span>m_ConditionMask</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::m_ConditionMask</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00039">39</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a13ba366d1a6ee9566a79c058f435b4c9" name="a13ba366d1a6ee9566a79c058f435b4c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13ba366d1a6ee9566a79c058f435b4c9">&#9670;&#160;</a></span>m_DetectFromItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_DetectFromItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a1b0ebf699d5e69a0c1a7ab50957cf47f" name="a1b0ebf699d5e69a0c1a7ab50957cf47f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b0ebf699d5e69a0c1a7ab50957cf47f">&#9670;&#160;</a></span>m_DetectFromPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_DetectFromPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00026">26</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aa19dfee22e7b4072581cbad85f265ba7" name="aa19dfee22e7b4072581cbad85f265ba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa19dfee22e7b4072581cbad85f265ba7">&#9670;&#160;</a></span>m_DetectFromTarget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_DetectFromTarget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00025">25</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aa0538ffd097d93bb0d8e551aef7d7046" name="aa0538ffd097d93bb0d8e551aef7d7046"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0538ffd097d93bb0d8e551aef7d7046">&#9670;&#160;</a></span>m_Enabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_Enabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00027">27</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a9ee7054fa6521ef8a72a48fbcb07c275" name="a9ee7054fa6521ef8a72a48fbcb07c275"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ee7054fa6521ef8a72a48fbcb07c275">&#9670;&#160;</a></span>m_ForcedActionData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ForcedActionData ActionInput::m_ForcedActionData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00035">35</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a47e10aec8bfcf73885d4c25d9066cd33" name="a47e10aec8bfcf73885d4c25d9066cd33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47e10aec8bfcf73885d4c25d9066cd33">&#9670;&#160;</a></span>m_ForcedTarget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> ActionInput::m_ForcedTarget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00033">33</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="acbe98bb1f623100dbea05475c6abeb4d" name="acbe98bb1f623100dbea05475c6abeb4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe98bb1f623100dbea05475c6abeb4d">&#9670;&#160;</a></span>m_HasTarget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_HasTarget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00029">29</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a85eaef29a84ebbd37aa8a1327fbb95a2" name="a85eaef29a84ebbd37aa8a1327fbb95a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85eaef29a84ebbd37aa8a1327fbb95a2">&#9670;&#160;</a></span>m_input</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/db6/class_u_a_i_d_wrapper.html">UAIDWrapper</a> ActionInput::m_input</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00021">21</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a1def6042e6aa0179fc73a828879e7d25" name="a1def6042e6aa0179fc73a828879e7d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1def6042e6aa0179fc73a828879e7d25">&#9670;&#160;</a></span>m_InputType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::m_InputType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00022">22</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a4e8a6b9bebed1a82797318e0a3cbdf43" name="a4e8a6b9bebed1a82797318e0a3cbdf43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e8a6b9bebed1a82797318e0a3cbdf43">&#9670;&#160;</a></span>m_JustActivate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionInput::m_JustActivate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00028">28</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="aa128f18e3ec6441fc6bc30014451c6dc" name="aa128f18e3ec6441fc6bc30014451c6dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa128f18e3ec6441fc6bc30014451c6dc">&#9670;&#160;</a></span>m_MainItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ActionInput::m_MainItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00038">38</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="ae228e1961fc33a3827ceb9252d5f8bd1" name="ae228e1961fc33a3827ceb9252d5f8bd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae228e1961fc33a3827ceb9252d5f8bd1">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ActionInput::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00031">31</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="a9a965da42bb51da7272449ee75d3b2b1" name="a9a965da42bb51da7272449ee75d3b2b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a965da42bb51da7272449ee75d3b2b1">&#9670;&#160;</a></span>m_Priority</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionInput::m_Priority</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00023">23</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<a id="ad4a8275171fe1296becdc46c81da9dc7" name="ad4a8275171fe1296becdc46c81da9dc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4a8275171fe1296becdc46c81da9dc7">&#9670;&#160;</a></span>m_Target</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> ActionInput::m_Target</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/df5/_action_input_8c_source.html#l00037">37</a> of file <a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/<a class="el" href="../../d2/df5/_action_input_8c_source.html">ActionInput.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d37/class_action_input.html">ActionInput</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
